using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using Godot;

using Rokojori;

namespace RokojoriResearch
{  
  [Tool]
  [GlobalClass]
  public partial class ShowMaterialInfo:Node
  {
    [Export]
    public UIImage image;

    [Export]
    public bool show
    {
      get => false;
      set { if ( value ) ShowValue(); }
    }

    void ShowValue()
    {
      this.LogInfo( image.Material.GetType().Name );
    }
  }
}